#version 330 core

layout(location=0) in vec3 position;

uniform mat4 model;
uniform mat4 view;
uniform mat4 proj;

void main(void) {
	vec4 worldPosition = model * vec4(position, 1.0f);
	gl_Position = proj * view * worldPosition;

}
